Skip to main content

Update Lease: RealPageApp - Not Supported

PUThttps://api.propexo.com/v1/leases/realpage_rpx/:lease_id

RealPageApp does not support updating a lease via their API. This endpoint will always return a 405, with an error message specifying that updating a lease in a RealPageApp integration is not supported due to the lack of upstream support.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lease_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    object

Response​

Successful response

    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leases/realpage_rpx/:lease_id
curl -X PUT https://api.propexo.com/v1/leases/realpage_rpx/:lease_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
200 Successful response
{}